package ajcon.custom.util.elements;

import ajcon.custom.util.groups.CStmt;
import ajcon.enumerations.CNMToken;
import java.util.ArrayList;
import java.util.List;

public class CLoop extends CStmt{
    private List<CLoopInit> CLoopInit;
    private CTest CTest;
    private List<CLoopUpdate> CLoopUpdate;
    private CStmt CStmt;

    private CNMToken kind;

    private String line;
    private String col;
    private String endline;
    private String endcol;
    private String commentToken;
    private String startToken;
    private String endToken;
    private String idkind;

    public CLoop() {
        CLoopInit = new ArrayList<CLoopInit>();
        CTest = null;
        CLoopUpdate = new ArrayList<CLoopUpdate>();
        kind = null;
        CStmt = null;

        line = null;
        col = null;
        endline = null;
        endcol = null;
        startToken = null;
        commentToken = null;
        startToken = null;
        endToken = null;
        idkind = null;

    }

    public CStmt getCStmt() {
        return CStmt;
    }

    public void setCStmt(CStmt CStmt) {
        this.CStmt = CStmt;
    }

    

    public List<CLoopInit> getCLoopInit() {
        return CLoopInit;
    }

    public void setCLoopInit(List<CLoopInit> CLoopInit) {
        this.CLoopInit = CLoopInit;
    }

    public List<CLoopUpdate> getCLoopUpdate() {
        return CLoopUpdate;
    }

    public void setCLoopUpdate(List<CLoopUpdate> CLoopUpdate) {
        this.CLoopUpdate = CLoopUpdate;
    }

    public CNMToken getKind() {
        return kind;
    }

    public void setKind(CNMToken kind) {
        this.kind = kind;
    }

    public CTest getCTest() {
        return CTest;
    }

    public void setCTest(CTest CTest) {
        this.CTest = CTest;
    }

    public String getCol() {
        return col;
    }

    public void setCol(String col) {
        this.col = col;
    }

    public String getCommentToken() {
        return commentToken;
    }

    public void setCommentToken(String commentToken) {
        this.commentToken = commentToken;
    }

    public String getEndToken() {
        return endToken;
    }

    public void setEndToken(String endToken) {
        this.endToken = endToken;
    }

    public String getEndcol() {
        return endcol;
    }

    public void setEndcol(String endcol) {
        this.endcol = endcol;
    }

    public String getEndline() {
        return endline;
    }

    public void setEndline(String endline) {
        this.endline = endline;
    }

    public String getIdkind() {
        return idkind;
    }

    public void setIdkind(String idkind) {
        this.idkind = idkind;
    }

    public String getLine() {
        return line;
    }

    public void setLine(String line) {
        this.line = line;
    }

    public String getStartToken() {
        return startToken;
    }

    public void setStartToken(String startToken) {
        this.startToken = startToken;
    }

    public void addCLoopInit(CLoopInit c){
        CLoopInit.add(c);
    }

    public void addCLoopUpdate(CLoopUpdate c){
        CLoopUpdate.add(c);
    }
}
